## org.gjt.sp.util
Class SegmentBuffer

    java.lang.Object
      javax.swing.text.Segment
          org.gjt.sp.util.SegmentBuffer

All Implemented Interfaces:
  java.lang.CharSequence, java.lang.Cloneable, java.text.CharacterIterator

    public class SegmentBuffer

extends javax.swing.text.Segment

An extended segment that you can append text to.

Field Summary

Fields inherited from class javax.swing.text.Segment
`array, count, offset`

Fields inherited from interface java.text.CharacterIterator
`DONE`

Constructor Summary
`SegmentBuffer(int capacity)`

Method Summary
`void` `append(char ch)`
`void` `append(char[] text, int off, int len)`

Methods inherited from class javax.swing.text.Segment
`charAt, clone, current, first, getBeginIndex, getEndIndex, getIndex, isPartialReturn, last, length, next, previous, setIndex, setPartialReturn, subSequence, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SegmentBuffer

    public SegmentBuffer(int capacity)

Method Detail

### append

    public void append(char ch)

### append

    public void append(char[] text,
                       int off,
                       int len)